View Issue Details

This bug affects 1 person(s).
 2
IDProjectCategoryView StatusLast Update
18510Bug reportsAccessibilitypublic2023-01-24 22:08
ReporterMichael-Linz Assigned Togabrieljenik  
PrioritynoneSeveritycrash 
Status closedResolutionunable to reproduce 
Product Version5.4.x 
Summary18510: 'usecaptcha' in database is set to 'N' everytime global publication panel is loaded
Description

everytime the publication panel is loaded, the database field 'usecaptcha' in table 'lime_surveys_groupsettings' is set to 'N'. This is a security issue as well, as the option ist inherit on surveys, where captcha wanted to be used. The only way to avoid the problem is to explicitly set the captcha settings in each survey.

Steps To Reproduce

Steps to reproduce

opening/loading publication panel

Expected result

loading the last settings

Actual result

everytime the publication panel is loaded, the database field 'usecaptcha' in table 'lime_surveys_groupsettings' is set to 'N', and so the global captcha-settings are set to 'off' as well.

TagsNo tags attached.
Bug heat2
Complete LimeSurvey version number (& build)Version 5.4.12+221121
I will donate to the project if issue is resolvedNo
BrowserChrome
Database type & versionMariaDB10
Server OS (if known)Synology DSM
Webserver software & version (if known)Synology Webstation
PHP Version7.4

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

gabrieljenik

gabrieljenik

2022-12-19 16:01

manager   ~73187

Hello Michael-Linz,
I checked this with the latest version and could not reproduce.
Can you please check if this is still an issue? if so, can you provide more testign steps?
Thank you!

gabrieljenik

gabrieljenik

gabrieljenik

2023-01-24 22:08

manager   ~73552

Hello Michael-Linz,
This ticket has been open for quite some time.
Do you have any new info / feedback?
Can you please check if this issue still exists in the latest version of LimeSurvey and let us know?
Thank you!

Issue History

Date Modified Username Field Change
2022-11-26 03:48 Michael-Linz New Issue
2022-12-13 19:22 gabrieljenik Assigned To => gabrieljenik
2022-12-13 19:22 gabrieljenik Status new => acknowledged
2022-12-19 16:01 gabrieljenik Assigned To gabrieljenik =>
2022-12-19 16:01 gabrieljenik Status acknowledged => feedback
2022-12-19 16:01 gabrieljenik Note Added: 73187
2022-12-19 16:01 gabrieljenik Bug heat 0 => 2
2023-01-24 22:08 gabrieljenik Assigned To => gabrieljenik
2023-01-24 22:08 gabrieljenik Status feedback => closed
2023-01-24 22:08 gabrieljenik Resolution open => unable to reproduce
2023-01-24 22:08 gabrieljenik Note Added: 73552